Name:           jhighlight
Version:        1.0.1
Release:        5%{?dist}
Summary:        An embeddable pure Java syntax highlighting library

Group:          Development/Libraries
License:        LGPLv2+ or CDDL
URL:            http://svn.rifers.org/jhighlight

Source0:        https://github.com/codelibs/jhighlight/archive/jhighlight-%{version}.tar.gz
Patch0:         servlet31.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
JHighlight is an embeddable pure Java syntax highlighting library that supports
Java, Groovy, C++, HTML, XHTML, XML and LZX languages and outputs to XHTML. It
also supports RIFE (http://rifers.org) templates tags and highlights them
clearly so that you can easily identify the difference between your RIFE markup
and the actual marked up source.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0
%mvn_alias : com.uwyn:

%build
%mvn_build 

%install
%mvn_install

%files -f .mfiles
%doc README.md
%doc COPYING
%doc LICENSE_LGPL.txt LICENSE_CDDL.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE_LGPL.txt LICENSE_CDDL.txt
%doc COPYING

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.1-3
- Add alias for com.uwyn:jhighlight

* Fri Mar 6 2015 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-2
- Fix license field to contains or CDDL.

* Thu Mar 5 2015 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-1
- Update to upstream 1.0.1.

* Thu Mar 5 2015 Alexander Kurtakov <akurtako@redhat.com> 1.0-12
- Rebuild for tomcat servlet 3.1 api.

* Wed Jul 02 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-11
- Pull content up from nested dirs in javadoc pkg

* Tue Jul 01 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-10
- Use new mvn_* macros to generate metadata
- Change broken servlet-api dependency in POM

* Mon Jun 09 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-8
- RHBZ-1106948: FTBFS in rawhide (mass rebuild)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-6
- RHBZ-1068284: Switch to java-headless Requires

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 24 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-3
- Remove jars from source tarball before inclusion in srpm.

* Tue Jul 24 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-2
- Remove lgpl text added from external source.

* Tue Jul 24 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-1
- Initial package.
